package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.fire.domain.DemAtlDisagree;
import com.usky.fire.mapper.DemAtlDisagreeMapper;
import com.usky.fire.service.DemAtlDisagreeService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 不同意使用 服务实现类
 * </p>
 *
 * @author JCB
 * @since 2022-10-19
 */
@Service
public class DemAtlDisagreeServiceImpl extends AbstractCrudService<DemAtlDisagreeMapper, DemAtlDisagree> implements DemAtlDisagreeService {

    @Override
    public int atlDisagreeCount(){
        LambdaQueryWrapper<DemAtlDisagree> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(DemAtlDisagree::getDeleteFlag, 0);
        int count = this.count(queryWrapper);
        return count;
    }

}
